clear all

global g = 9.81;
x0 = 0;
v0 = 15;

function y = f(x, t)
	global g;
	% x(1) posizione
	% x(2) velocità
	dx = x(2);
	dv = -g;
	y = [dx, dv];
end

xt0 = [x0, v0];
t = linspace(0, 3);
x = lsode(@f, xt0, t);


x(1, :)
x(2, :)

plot(t, x, 'linewidth', 2)